Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.jsf.context.symbol.internal.provisional
Interface IJavaTypeDescriptor2

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, ITypeDescriptor, org.eclipse.emf.common.notify.Notifier

public interface IJavaTypeDescriptor2
extends ITypeDescriptor

A representation of the model object 'IJava Type Descriptor2'.

The following features are supported:

- `Type`
- `Bean Properties`
- `Bean Methods`

See Also:
  `SymbolPackage.getIJavaTypeDescriptor2()`

Field Summary
`static java.lang.String` | `copyright`

Method Summary
`org.eclipse.emf.common.util.EList` | `getBeanMethods()` Returns the value of the 'Bean Methods' reference list.
`org.eclipse.emf.common.util.EList` | `getBeanProperties()` Returns the value of the 'Bean Properties' reference list.
`org.eclipse.jdt.core.IType` | `getType()` Returns the value of the 'Type' attribute.
`void` | `setType(org.eclipse.jdt.core.IType value)` Sets the value of the '`Type`' attribute.

Methods inherited from interface org.eclipse.jst.jsf.context.symbol.internal.provisional.ITypeDescriptor
`getInterfaceTypeSignatures, getMethods, getProperties, getSuperTypeSignatures, getTypeSignature, getTypeSignatureDelegate, setTypeSignatureDelegate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getType

    public org.eclipse.jdt.core.IType getType()

  Returns the value of the 'Type' attribute.

  If the meaning of the 'Type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type' attribute.
  See Also:
    `setType(IType)`, `SymbolPackage.getIJavaTypeDescriptor2_Type()`

### setType

    public void setType(org.eclipse.jdt.core.IType value)

  Sets the value of the '`Type`' attribute.

  Parameters:
    `value` - the new value of the 'Type' attribute.
  See Also:
    `getType()`

### getBeanProperties

    public org.eclipse.emf.common.util.EList getBeanProperties()

  Returns the value of the 'Bean Properties' reference list. The list contents are of type `IBeanPropertySymbol`.

  If the meaning of the 'Bean Properties' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Bean Properties' reference list.
  See Also:
    `SymbolPackage.getIJavaTypeDescriptor2_BeanProperties()`

### getBeanMethods

    public org.eclipse.emf.common.util.EList getBeanMethods()

  Returns the value of the 'Bean Methods' reference list. The list contents are of type `IBeanPropertySymbol`.

  If the meaning of the 'Bean Methods' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Bean Methods' reference list.
  See Also:
    `SymbolPackage.getIJavaTypeDescriptor2_BeanMethods()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD